PostgreSQL

Discussion in 'Feature Requests' started by boardmain, Aug 4, 2005.

  1. boardmain

    boardmain New Member

    i'have created the update package for install
    phppgadmin

    but when i try to launch it i have the errore message becouse
    php isn't copiled with --with-pgsql
    this error if related to apache of ispconfig webserver or system apache?

    how i can solve it?

    (the request is for a official postgresql release :p )
     
    Last edited: Oct 26, 2005
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    This is related to the PHP / apache of ISPConfig.

    To compile the ISPConfig PHP with postgres:

    1) Download the ISPConfig installer tar.gz and unpack it.
    2) cd istall_ispconfig/compile_aps
    3) Edit the script "compile" in the compile_aps folder and add the
    --with-pgsql directive in the PHP configure statement (line 85)
    4) Stop ISPConfig: /etc/init.d/ispconfig_server stop
    5) Run the compile script ( ./compile)
    4) Start ISPConfig: /etc/init.d/ispconfig_server start

    Remark: This is untested ;)

    May you send the phppgadmin package to dev [at] ispconfig [dot] org
    when everything is working? Then we can put it on the downloads page.
     
  3. falko

    falko Super Moderator ISPConfig Developer

    This won't work! :eek:
    You must unpack the ISPConfig sources again, edit install_ispconfig/compile_aps/compile and change the PHP configure statement (add --with-pgsql) and then re-install ISPConfig (yes, you can install it over an existing installation)!
     
  4. boardmain

    boardmain New Member

  5. Tribal-Dolphin

    Tribal-Dolphin ISPConfig Developer ISPConfig Developer

    It can be interesting to add supprot of PostgreSQL to ISPConfig otherwise this plugin will have that can of interest
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    We are working on a patch for the installer, that PHP will be compiled with postgresql support if the setup script finds an postgres server. We will add the postgres Addon to the dowloads page, when postgres support is available.
     
  7. Tribal-Dolphin

    Tribal-Dolphin ISPConfig Developer ISPConfig Developer

    Great :eek:
    We can add this to the roadmap ?
     
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    I've added it to the roadmap :)
     
  9. hkaiser

    hkaiser New Member

    Hi,

    I installed php from the begining with all option, so I would need the prostgresql support now for our hosted websites. Especially I would need to make Hostingpackages where I can giv e the maximum databases in PostgreSql and if a postgresql database will be addes to the hosting packages or not. Is it possible to get the code for this addon now? Is it possible to have a look to the SVN without downloading the whole source code?

    hkaiser
     
    Last edited: Aug 22, 2005
  10. till

    till Super Moderator Staff Member ISPConfig Developer

    The things you need are not part of the addon currently developed. The addon includes only the possibility to run phppgadmin, nothing more.

    I will put the phppgadmin online on the download page, but you can use it only with a reinstallation of ISPConfig and the steps perfomed in the thread above.
     
  11. hkaiser

    hkaiser New Member

    Hi,

    Thanks for the addon. I would like to know how you control that not more than the databases
    which you specified in the hostingplan are created by the user for Mysql? I want to add this functionality for postgresql too.

    hkaiser
     
  12. till

    till Super Moderator Staff Member ISPConfig Developer

    Thats easy because the databases where created by scripts in ispconfig and not trough phpmyadmin. The rights of the mySQL users of the clients does not allow the creation of new databases so they cant exceed their database limit with phpmyadmin.
     
  13. hkaiser

    hkaiser New Member

    Hi,

    How this script is called? Maybe I can adopt it to postgresql and add it then to the database creation dialog in ISPConfig.

    hkaiser
     
    Last edited: Aug 23, 2005
  14. Tribal-Dolphin

    Tribal-Dolphin ISPConfig Developer ISPConfig Developer

    Hi,

    You have to create a form with the Form Designer like the existant form named isp - ISP Datenbank.

    Then, you have also to create a class for managing PostgreSQL database. The mySQL one is called ispconfig_isp_datenbank.lib.php. you can find it in /home/admispconfig/lib/classes directory.
     
  15. stuntshell

    stuntshell New Member

    Error compiling PHP

    I'm getting this error compiling it on a Fedora Core 4 (ISP 2.0.9):
    configure: error: Cannot find libpq-fe.h. Please specify correct PostgreSQL installation path
    ERROR: Could not configure PHP

    Please advise!
    Regards,
     
    Last edited: Sep 21, 2005
  16. till

    till Super Moderator Staff Member ISPConfig Developer

    This means thet the PHP configure script can not find your postgresql libs. Try to speify the path in the PHP configure statement with:

    --with-pgsql=/path/to/your/postges/libs
     
  17. yeemin

    yeemin New Member

    When I try to install it at Fedora 4 but I just install postgreSQL (no MySQL installed at my system), I've got the error message like this:

    [​IMG]

    how can I do, please?
     
    Last edited: Nov 13, 2005
  18. till

    till Super Moderator Staff Member ISPConfig Developer

    You cant install ISPConfig without mySQL on your system. MySQL and the mysql devel packages must be installed.
     
  19. falko

    falko Super Moderator ISPConfig Developer

  20. yeemin

    yeemin New Member

Share This Page